from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XGraphicRasterizer(XInterface, Protocol):
    def initializeData(self, DataStream: XInputStream, DPI_X: int, DPI_Y: int, DefaultSizePixel: Size) -> bool: ...
    def rasterize(self, Width: int, Height: int, RotateAngle: float, ShearAngle_X: float, ShearAngle_Y: float, RasterizeProperties: PropertyValues) -> XGraphic: ...
